JS报错:require is not defined

随笔 专栏收录该内容
43 篇文章 0 订阅

报错原因:

浏览器端不能识别require关键字,require是node.js环境下的,在node_modules文件夹里面的模块下面常见require

解决方法:

通过工具browserify或者是webpack把js文件编译一下,转成浏览器端可识别的。

//安装browserify ,我这里是全局安装

npm install -g browserify

// 编译

browserify ./source/module.js -o ./dist/dist.js

即可在dist目录下看到打包后的dist.js文件。 
browserify 后面的第一个参数表示要打包的前端程序的入口,-o或者>表示打包后的输出文件。browserify会根据入口文件中的require或者import(ES6,需要安装babel)自动完成依赖分析,并将依赖文件打包为一个单文件。
 

  • 5
    点赞
  • 4
    评论
  • 17
    收藏
  • 一键三连
    一键三连
  • 扫一扫,分享海报

相关推荐
©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值